# basic_ios.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file basic_ios.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::basic_ios< _CharT, _Traits >
    Virtual base class for all stream classes. More...

## Defines

- #define _BASIC_IOS_H

## Functions

- template<typename _Facet> const _Facet & std::__check_facet (const _Facet *__f)